#if TOOLS

using Godot;
using System.ComponentModel;

namespace PT;

[Tool]
public partial class PtExportPlugin : EditorExportPlugin
{
    public override string _GetName()
    {
        return "Placeholder Tracker";
    }

    public override void _ExportFile(string path, string type, string[] features)
    {
        GD.PushWarning("TODO: warn user when a placeholder is encountered");

        if (path.EndsWith(PlaceholderTracker.TODO_EXTENSION))
        {
            GD.PushWarning("TODO: encountered a .TODO file");
            Skip();
            return;
        }

        if (PlaceholderTracker.IsFilePlaceholder(path))
        {
            GD.PushWarning("TODO: found a placeholder!");
        }
    }
}

#endif